binom.intervals = function(n, ps)
    cbind(
        lo = qbinom(.025, n, ps)/n,
        hi = qbinom(.975, n, ps)/n)

#assess.binom.intervals = function(n, s, lo, hi)
#   {N = length(n)
#    widths = hi - lo
#    covered = sum(lo <= s/n & s/n <= hi)
#    c(
#        "Widths Q1" = round(d = 2, unname(quantile(widths, 1/4))),
#        "Widths Q3" = round(d = 2, unname(quantile(widths, 3/4))),
#        "Coverage" = sprintf("%d%% (%d of %d)",
#            round(100 * covered/N), covered, N))}

assess.prop.intervals = function(y, lo, hi)
   {N = length(y)
    widths = hi - lo
    covered = sum(lo <= y & y <= hi)
    c(
        "Widths Q1" = round(d = 2, unname(quantile(widths, 1/4))),
        "Widths Q3" = round(d = 2, unname(quantile(widths, 3/4))),
        "Coverage" = sprintf("%d%% (%d of %d)",
            round(100 * covered/N), covered, N))}

plot.sc.mu = function(n, s, ps)
   {d = data.frame(
        obs = s/n,
        ps)
    ggplot(transform(d, x = rank(obs, ties = "first"))) +
        geom_point(aes(x, ps), color = "blue") +
        geom_point(aes(x, obs), color = "red") +
        scale_y_continuous(breaks = seq(0, 1, .2)) +
        coord_cartesian(ylim = c(0, 1), xlim = c(0, length(ps) + 1)) +
        scale_x_continuous(name = "subject", breaks = NULL)}

plot.sc.preds = function(obs.p, lo, hi)
   {message(median(hi - lo))
    d = data.frame(obs.p, lo, hi)
    ggplot(transform(d, x = rank(obs.p, ties = "first"))) +
        geom_linerange(aes(x, ymin = lo, ymax = hi), color = "blue") +
        geom_point(aes(x, obs.p), color = "red") +
        scale_y_continuous(breaks = seq(0, 1, .2)) +
        coord_cartesian(ylim = c(0, 1), xlim = c(0, length(obs.p) + 1)) +
        scale_x_continuous(name = "subject", breaks = NULL)}
