cv.intervals = function(data, K, f)
   {cvf = cvFolds(nrow(data), K = K, R = 1)
    cvf = split(cvf$subsets, cvf$which)
    intervals = do.call(rbind, lapply(cvf, function(i.leaveout)
        `rownames<-`(f(d.train = data[-i.leaveout,], d.test = data[i.leaveout,]),
            char(i.leaveout))))
    `rownames<-`(intervals[order(num(rownames(intervals))),],
        rownames(data))}

bayesglm.cv.ps = function(data, yvar, K, ...)
   {cvf = cvFolds(nrow(data), K = K, R = 1)
    cvf = split(cvf$subsets, cvf$which)
    testfun = function(ps)
       {message("prior.scale ", ps)
        v = mean(do.call(c, lapply(cvf, function(i.leaveout)
           {fit = bayesglm(
                prior.scale = ps, 
                data = data[-i.leaveout,],
                ...)
            pmeans = rowMeans(sim.y.mu(fit, data[i.leaveout,], 1e3))
            (pmeans - data[i.leaveout, yvar])^2})))
        message("rmse ", sqrt(v))
        v}
    inits = sapply(exp(seq(log(.0001), log(100), len = 20)), function(ps)
        c(ps = ps, y = testfun(ps)))
    o = optimize(testfun, tol = .001,
        interval = inits["ps", which.min(inits["y",]) + c(-1, 1)])
    list(
        prior.scale = o$minimum,
        fit = bayesglm(
            prior.scale = o$minimum, 
            data = data,
            ...))}
