library(chron)
library(plyr)
library(reshape2)
library(ggplot2)
library(stringr)
library(RJSONIO)
library(DBI)
library(RSQLite)
library(penalized)
library(arm)
library(cvTools)

sys.source(getOption("Kodi.R.path"), Kodi <- new.env())
for (name in Kodi$qw(
        qw, punl, ss, ssq, modnames, evalq, vassign, df2nv,
        posix.ct, ifna, ilogit, qmean, logi2factor,
        char, int, num, ordlevels, modlevels, df2nv,
        zscore, mapcols, samprows,
        ordf,
        dodge, boxp, no.gridlines, geom_densitybw,
        sim.y.mu
      ))
    assign(name, Kodi[[name]])
cached = Kodi$mk.cached(c("Kodi", "projects", "brass"))
write.table = Kodi$org.write.table

# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

econ.tests = qw(patience, shifted_patience, loss_aversion, risk_aversion)

source("data.R", local = T)
source("econ.R", local = T)
source("boolean.R", local = T)
source("cv.R", local = T)
